Name:     libiwpm
Version:  1.0.1
Release:  1
Summary:  iWarp Port Mapper userspace daemon
Requires: libnl-devel

Group: System Environment/Daemons
License: GPL/BSD
Url: http://www.openfabrics.org/
Source: http://www.openfabrics.org/downloads/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%(%{__id_u} -n)

%description
libiwpm provides a userspace service for iWarp drivers to claim
tcp ports through the standard socket interface

%prep
%setup -q -n %{name}-%{version}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
install -Dp -m 0755 %{_builddir}/%{name}-%{version}/iwpmd_init %{buildroot}%{_initrddir}/iwpmd

%clean
rm -rf %{buildroot}

%post
if [ $1 -eq 1 ]; then
	/sbin/chkconfig --add iwpmd
	%{_initrddir}/iwpmd start || exit 0
elif [ $1 -gt 1 ]; then
	%{_initrddir}/iwpmd restart || exit 0
fi

%preun
if [ $1 -eq 0 ]; then 
        /sbin/chkconfig --del iwpmd
	%{_initrddir}/iwpmd stop || exit 0
fi

%postun
if [ $1 -ge 1 ]; then
	%{_initrddir}/iwpmd restart || exit 0
fi

%files
%defattr(-,root,root,-)
%_initrddir/iwpmd
%_includedir/rdma/iwpm_netlink.h
%_includedir/rdma/iwarp_pm.h
%_bindir/iwpmd
%doc AUTHORS COPYING README


%changelog
*Fri Oct 31 2014 Tatyana Nikolova <tatyana.e.nikolova@intel.com> - 1.0.1
- Releasing libiwpm-1.0.1 to be included in OFED-3.18
*Fri Jun 11 2013 Tatyana Nikolova <tatyana.e.nikolova@intel.com> - 1.0.0
- Releasing iWarp Port Mapper Version 1.0.0 
